public class Account {

    private String name;
    private String surname;
    private double balance;
    private String accountNumber;

    // Alt + Insert


    public Account(String name, String surname, double balance, String accountNumber) {
        this.name = name;           // class field = parameter
        this.surname = surname;
        this.balance = balance;
        this.accountNumber = accountNumber;
    }

    public Account() {
    }

    public void display() {
        System.out.println("Name and surname: " + name + " " + surname);
        System.out.println("Account number: " + this.accountNumber);
        System.out.println("Balance: " + this.balance + " PLN");
    }

    @Override
    public String toString() {
        return "Account{" +
                "name='" + name + '\'' +
                ", surname='" + surname + '\'' +
                ", balance=" + balance +
                ", accountNumber='" + accountNumber + '\'' +
                '}';
    }

    // alt + insert
    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public double getBalance() {
        return balance;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public void setBalance(double balance) {
        if(balance >= 0) {
            this.balance = balance;
            System.out.println("Balance set to " + this.balance);
        }else {
            System.out.println("Unable to change balance");
        }
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public void increaseBalance(double value) {
        if(value > 0) {
            this.balance += value;
            System.out.println("Balance has been increased by " + value);
        } else {
            System.out.println("Wrong value. Unable to increase balance.");
        }
    }

    public void decreaseBalance(double value) {
        if(value > 0 && (this.balance >= value)) {
            this.balance -= value;
            System.out.println("Balance has been decreased by " + value);
        } else {
            System.out.println("Wrong value. Unable to decrease balance.");
        }
    }

}
